Debian Bug report logs - #688624
RM: vrb -- RoQA; orphaned, unused, dead upstream

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Ricardo Mones <mones@debian.org>

Date: Mon, 24 Sep 2012 09:57:04 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, cc@mail.3d.hu, wnpp@debian.org:
Bug#688624; Package wnpp. (Mon, 24 Sep 2012 09:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ricardo Mones <mones@debian.org>:
New Bug report received and forwarded. Copy sent to cc@mail.3d.hu, wnpp@debian.org. (Mon, 24 Sep 2012 09:57:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ricardo Mones <mones@debian.org>
To: submit@bugs.debian.org
Subject: O: vrb -- Virtual Ring Buffer library
Date: Mon, 24 Sep 2012 11:52:29 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of vrb, Székelyi Szabolcs <cc@mail.3d.hu>,
has no time for maintaning it.  Therefore, I orphan this package now.

Maintaining a package requires time and skills. Please only adopt this
package if you will have enough time and attention to work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: vrb
Binary: libvrb0, libvrb0-dev, vbuf
Version: 0.5.1-5.1
Maintainer: Székelyi Szabolcs <cc@mail.3d.hu>
Build-Depends: debhelper (>= 5), gawk, dpkg-dev (>= 1.13.19)
Architecture: any
Standards-Version: 3.8.0
Format: 1.0
Files:
 a140f9c4954a21146869b2021462fb09 1745 vrb_0.5.1-5.1.dsc
 b3f4a8d2f5e055218e731be2e6b402c9 48050 vrb_0.5.1.orig.tar.gz
 7be584a9672e7f89fc62c0161ad69ee5 5049 vrb_0.5.1-5.1.diff.gz
Checksums-Sha1:
 62e01326e77a3877074e7f8303ad94ffc3b13e37 1745 vrb_0.5.1-5.1.dsc
 471c07f01ad999f63449dee88a34e1060554dbd6 48050 vrb_0.5.1.orig.tar.gz
 1b10265fc836fd447de68bea81097fdab8115813 5049 vrb_0.5.1-5.1.diff.gz
Checksums-Sha256:
 6d27be4531127274935840379a33b0ae3fa2207958afe3b073882974b3c9e005 1745 vrb_0.5.1-5.1.dsc
 13ac056f5f37b6e475127e1622fb4440b5698ce87016e96ccafd5997529f99ff 48050 vrb_0.5.1.orig.tar.gz
 d9469ef5e23a42ee61746fdbcc892153c872f37132cf3d404df37834efb89ce3 5049 vrb_0.5.1-5.1.diff.gz
Homepage: http://vrb.slashusr.org/
Package-List: 
 libvrb0 deb libs optional
 libvrb0-dev deb libdevel optional
 vbuf deb utils optional
Directory: pool/main/v/vrb
Priority: source
Section: libs

Package: libvrb0
Source: vrb
Version: 0.5.1-5.1
Installed-Size: 46
Maintainer: Székelyi Szabolcs <cc@mail.3d.hu>
Architecture: amd64
Depends: libc6 (>= 2.2.5)
Description-en: Virtual Ring Buffer library
 The Virtual Ring Buffer (VRB) is an implementation of a character
 FIFO ring buffer. A ring buffer is a special memory area, because
 writing beyond the end of it actually results in a write at the
 beginning. Such a construct comes very handy in applications where
 one end of a communications channel is required to produce or consume
 data at a constant rate, but the other end cannot gurantee this. This
 is a common situation in multimedia applications or Voice-over-IP
 solutions, for example.
 .
 VRB provides direct access to the buffer so the calling program can
 construct output data in place, or parse input data in place, without
 the extra step of copying data to or from a calling program provided
 buffer area, thus provides a highly efficient ring buffer
 implementation.
Homepage: http://vrb.slashusr.org/
Description-md5: 31f15a5ef67bc4eb0d5d2d722aab74d0
Tag: role::shared-lib
Section: libs
Priority: optional
Filename: pool/main/v/vrb/libvrb0_0.5.1-5.1_amd64.deb
Size: 10596
MD5sum: f667dfefe7a576c38e960d7b20923d48
SHA1: 24d3b5b093ed0c70468f0c97f8931784da2d8490
SHA256: 668519a9e562d0134c84d2ce45fedd5d7c3f03406c47437f7efa3ad6e55c8d18

Package: libvrb0-dev
Source: vrb
Version: 0.5.1-5.1
Installed-Size: 121
Maintainer: Székelyi Szabolcs <cc@mail.3d.hu>
Architecture: amd64
Replaces: libvrb-dev
Provides: libvrb-dev
Depends: libvrb0 (= 0.5.1-5.1)
Conflicts: libvrb-dev
Description-en: Virtual Ring Buffer library - development files
 The Virtual Ring Buffer (VRB) is an implementation of a character
 FIFO ring buffer. A ring buffer is a special memory area, because
 writing beyond the end of it actually results in a write at the
 beginning. Such a construct comes very handy in applications where
 one end of a communications channel is required to produce or consume
 data at a constant rate, but the other end cannot gurantee this. This
 is a common situation in multimedia applications or Voice-over-IP
 solutions, for example.
 .
 VRB provides direct access to the buffer so the calling program can
 construct output data in place, or parse input data in place, without
 the extra step of copying data to or from a calling program provided
 buffer area, thus provides a highly efficient ring buffer
 implementation.
 .
 This package contains development files for linking against libvrb0.
Homepage: http://vrb.slashusr.org/
Description-md5: 7bc0efd3c3c319d23f80ba6b2cb67bed
Tag: devel::library, role::devel-lib
Section: libdevel
Priority: optional
Filename: pool/main/v/vrb/libvrb0-dev_0.5.1-5.1_amd64.deb
Size: 46536
MD5sum: 262aa87ef8ccce63197302c34ff081af
SHA1: 5502b3c0a991ccc9d8c8f4cf8354cab5534ac2fc
SHA256: d88dd7d56f292dc0a2c0fc046b22643a5150ba86fba783d760c2f470c56e226f

Package: vbuf
Source: vrb
Version: 0.5.1-5.1
Installed-Size: 50
Maintainer: Székelyi Szabolcs <cc@mail.3d.hu>
Architecture: amd64
Depends: libc6 (>= 2.2.5), libvrb0
Description-en: Virtual Ring Buffer library - shell interface
 The Virtual Ring Buffer (VRB) is an implementation of a character
 FIFO ring buffer. A ring buffer is a special memory area, because
 writing beyond the end of it actually results in a write at the
 beginning. Such a construct comes very handy in applications where
 one end of a communications channel is required to produce or consume
 data at a constant rate, but the other end cannot gurantee this. This
 is a common situation in multimedia applications or Voice-over-IP
 solutions, for example.
 .
 VRB provides direct access to the buffer so the calling program can
 construct output data in place, or parse input data in place, without
 the extra step of copying data to or from a calling program provided
 buffer area, thus provides a highly efficient ring buffer
 implementation.
 .
 This package contains the program vbuf, which implements nothing but
 a simple ring buffer, so it can be used directly from the shell.
Homepage: http://vrb.slashusr.org/
Description-md5: b354f760839f0c87ff80edc72a99c2d6
Tag: implemented-in::c, role::program
Section: utils
Priority: optional
Filename: pool/main/v/vrb/vbuf_0.5.1-5.1_amd64.deb
Size: 9404
MD5sum: 6071671582133e526934e793d9aca67c
SHA1: d08d01bc1877dc6faee2a174de8fa3a21ffdb2c5
SHA256: 1da73aad4a1c5d2253bad1d00057190a87d47a405ae16b90db671c2d3634a6e7

[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'wnpp' to 'ftp.debian.org'. Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Sun, 26 Jan 2014 21:09:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: vrb -- RoQA; orphaned, unused, dead upstream' from 'O: vrb -- Virtual Ring Buffer library' Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Sun, 26 Jan 2014 21:09:08 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 17 Feb 2014 13:04:35 GMT) Full text and rfc822 format available.

Notification sent to Ricardo Mones <mones@debian.org>:
Bug acknowledged by developer. (Mon, 17 Feb 2014 13:04:35 GMT) Full text and rfc822 format available.

Message #14 received at 688624-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 688624-close@bugs.debian.org
Cc: vrb@packages.debian.org, vrb@packages.qa.debian.org
Subject: Bug#688624: Removed package(s) from unstable
Date: Mon, 17 Feb 2014 12:59:40 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

   libvrb0 |  0.5.1-5.1 | amd64, armel, armhf, i386, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390x, sparc
libvrb0-dev |  0.5.1-5.1 | amd64, armel, armhf, i386, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390x, sparc
      vbuf |  0.5.1-5.1 | amd64, armel, armhf, i386, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390x, sparc
       vrb |  0.5.1-5.1 | source

------------------- Reason -------------------
RoQA; orphaned, unused, dead upstream
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive and will not propagate to any mirrors until the next
dinstall run at the earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close bugs which have been reported against this package
automatically. But please check all old bugs, if they were closed
correctly or should have been re-assigned to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 688624@bugs.debian.org.

The full log for this bug can be viewed at https://bugs.debian.org/688624

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 18 Mar 2014 07:31:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:47:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.